[ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
  display: none !important;
}

::-webkit-input-placeholder {
   color: #ccc !important;
}

:-moz-placeholder { /* Firefox 18- */
   color: #ccc !important;
}

::-moz-placeholder {  /* Firefox 19+ */
   color: #ccc !important;
}

:-ms-input-placeholder {  
   color: #ccc !important;
}

.cursor {
    cursor: pointer;
}


/*ng form validation*/
input.ng-invalid {
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset !important;
}

input.ng-pristine {
    border-color:none !important;
    box-shadow: none !important;
}

.customer-add {
    width: 50%;
}

/*Forms*/
.prompt_error{
    font-size:10px;
    color:red;
}


form.ng-submitted .ng-invalid{
    border-color: #843534 !important;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset, 0 0 6px #ce8483 !important;
}


/*Read more: http://mrbool.com/the-concepts-of-angularjs-forms/29117#ixzz3UVlmgHsA*/


/* Modal */
.ngdialog-theme-custom .ngdialog-content {
    background: none repeat scroll 0 0 rgba(255, 255, 255, 0.9) !important;
    border-radius: 0 !important;
    padding: 1.8em 2em !important;

}   

.ngdialog.ngdialog-theme-custom .ngdialog-message ul {
    padding: 0 0 5px 35px;
}

.ngdialog-sm .ngdialog-content{
    width: 30% !important;
}

.ngdialog-md .ngdialog-content{
    width: 50% !important;
}

.ngdialog-lg .ngdialog-content{
    width: 90% !important;
}

.ngdialog.ngdialog-theme-default .ngdialog-content {
    border-radius: 8px !important;
}

/* Pagination */
.pagination{margin:20px 0;display:block; width: 100%; padding: 0 10px;}
.pagination ul{
    *zoom:1;
    margin: 0 auto;
    -webkit-border-radius:4px;
    -moz-border-radius:4px;
    border-radius:4px;
    /*-webkit-box-shadow:0 1px 2px rgba(0, 0, 0, 0.05);
    -moz-box-shadow:0 1px 2px rgba(0, 0, 0, 0.05);
    box-shadow:0 1px 2px rgba(0, 0, 0, 0.05); */
    clear: both;
    text-align: center;
}
.pagination ul::after{ 
    clear: both;
    display: table;
}
.pagination ul>li{
    display:inline-block;
}
.pagination ul>li>a,.pagination ul>li>span{
    float:left;
    padding:4px 12px;
    line-height:20px;
    text-decoration:none;
    background-color:#ffffff;
    border:1px solid #dddddd;
    border-left-width:0;
}
.pagination ul>li>a:hover,.pagination ul>li>a:focus,.pagination ul>.active>a,.pagination ul>.active>span{
    background-color:#f5f5f5;
}
.pagination ul>.active>a,.pagination ul>.active>span{
    color:#999999;
    cursor:default;
}
.pagination ul>.disabled>span,.pagination ul>.disabled>a,.pagination ul>.disabled>a:hover,.pagination ul>.disabled>a:focus{
    color:#999999;
    background-color:transparent;
    cursor:default;
}
.pagination ul>li:first-child>a,.pagination ul>li:first-child>span{
    border-left-width:1px;
    -webkit-border-top-left-radius:4px;
    -moz-border-radius-topleft:4px;
     border-top-left-radius:4px;
    -webkit-border-bottom-left-radius:4px;
    -moz-border-radius-bottomleft:4px;
     border-bottom-left-radius:4px;
}
.pagination ul>li:last-child>a,.pagination ul>li:last-child>span{
    -webkit-border-top-right-radius:4px;
    -moz-border-radius-topright:4px;
     border-top-right-radius:4px;
    -webkit-border-bottom-right-radius:4px;
    -moz-border-radius-bottomright:4px;
     border-bottom-right-radius:4px;
}
.pagination-centered{
    text-align:center;
}

/* jQuery Datatable */
.dataTables_wrapper .dataTables_filter input {
    border:#ccc solid 1px !important;
    padding: 5px 7px;
}
table.dataTable.no-footer {
    border-bottom: #ccc solid 1px;
}
table.dataTable thead th, table.dataTable thead td {
    border-bottom: #ccc solid 6px !important;
}

.btn-ss-group button {
    margin-right:10px;
    margin-top: 10px
}

/* X-Editable */
.editable-wrap .editable-controls > input, .editable-wrap .editable-controls > select, .editable-wrap .editable-controls > textarea {
    border: 1px solid #ccc;
    margin-bottom: 0;
    /*padding: 10px 15px;*/
}

.editable-controls span label input[type="checkbox"] {
    opacity: 1 !important;
    position: relative;
}

.editable-controls span label {
    float: left;
}

.list-group-item-storage {
    padding:8px 7px !important;
}

.list-group-item {
    padding: 20px 10px;
}

.delivery_form span.title{
    color:#A0A0A0;
}

.delivery_form div {
    min-height: 45px;
}

.list-group-item-delivery-lists{
    padding: 10px !important;
}

.ng-isolate-scope table tr td{
    padding:0 !important;
}

.page-profile .profile-header {
    position: relative;
    margin: 0 -15px 15px;
    padding: 50px 30px 90px;
    background: url(../images/background/3.jpg) center center no-repeat fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    background-size: cover;
}

.page-profile .profile-img {
    display: inline-block;
    margin-right: 20px;
}

.page-profile .profile-social {
    display: inline-block;
}

.page-profile .profile-info {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,.3);
    line-height: 20px;
    padding: 10px 30px;
    color: #f9f9f9;
}

.ngdialog.ngdialog-theme-default {
    padding-top: 5vh;
}

.upload_div {
    width: 100%;
    min-height: 300px;
    float: left;
    border-radius: 3px;
    overflow: hidden;
    font-size: 13px;
    padding: 6px;
    opacity: 1.0;
    background-color: transparent;
    -webkit-transition: opacity 0.3s ease-in-out;
    -moz-transition: opacity 0.3s ease-in-out;
    transition: opacity 0.3s ease-in-out;
}

.upload_div > .upload_item_icon {
    font-size: 35px;
    top: 70%;
    color: #fff;
    position: absolute;
    left: 75%;
    z-index: 900;
    background-color: #ccc;
    border-radius: 50%;
    padding: 8px 6px 5px 6px;
}

.upload_div input {
    cursor: pointer;
    display: block !important;
    height: 30% !important;
    opacity: 0 !important;
    color: #000 !important;
    overflow: hidden !important;
    position: absolute;
    top: 62%;
    left: 22%;
    z-index: 10000;
    border: #000 solid 1px;
}

.upload_div_del input {
    border: 1px solid #000;
    color: #000 !important;
    cursor: pointer;
    display: block !important;
    height: 80px !important;
    left: 88%;
    opacity: 0 !important;
    overflow: hidden !important;
    position: absolute;
    top: 2%;
    width: 50px;
    z-index: 10000;
}

.upload_div_del > .upload_item_icon {
    background-color: #ccc;
    border-radius: 50%;
    color: #fff;
    font-size: 35px;
    left: 88%;
    padding: 8px 6px 5px;
    position: absolute;
    top: 2%;
    z-index: 900;
}

.editable-buttons,.editable-wrap .editable-controls, .editable-wrap .editable-error {
    position: relative;
    z-index: 2;
}

.checkbox {
  padding-left: 20px;
}
.checkbox label {
  display: inline-block;
  vertical-align: middle;
  position: relative;
  padding-left: 5px;
}
.checkbox label::before {
  content: "";
  display: inline-block;
  position: absolute;
  width: 17px;
  height: 17px;
  left: 0;
  margin-left: -20px;
  border: 1px solid #cccccc;
  border-radius: 3px;
  background-color: #fff;
  -webkit-transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
  -o-transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
  transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
}
.checkbox label::after {
  display: inline-block;
  position: absolute;
  width: 16px;
  height: 16px;
  left: 0;
  top: 0;
  margin-left: -20px;
  padding-left: 3px;
  padding-top: 1px;
  font-size: 11px;
  color: #555555;
}
.checkbox input[type="checkbox"],
.checkbox input[type="radio"] {
  opacity: 0;
  z-index: 1;
}
.checkbox input[type="checkbox"]:focus + label::before,
.checkbox input[type="radio"]:focus + label::before {
  outline: thin dotted;
  outline: 5px auto -webkit-focus-ring-color;
  outline-offset: -2px;
}
.checkbox input[type="checkbox"]:checked + label::after,
.checkbox input[type="radio"]:checked + label::after {
  font-family: "FontAwesome";
  content: "\f00c";
}
.checkbox input[type="checkbox"]:indeterminate + label::after,
.checkbox input[type="radio"]:indeterminate + label::after {
  display: block;
  content: "";
  width: 10px;
  height: 3px;
  background-color: #555555;
  border-radius: 2px;
  margin-left: -16.5px;
  margin-top: 7px;
}
.checkbox input[type="checkbox"]:disabled + label,
.checkbox input[type="radio"]:disabled + label {
  opacity: 0.65;
}
.checkbox input[type="checkbox"]:disabled + label::before,
.checkbox input[type="radio"]:disabled + label::before {
  background-color: #eeeeee;
  cursor: not-allowed;
}
.checkbox.checkbox-circle label::before {
  border-radius: 50%;
}
.checkbox.checkbox-inline {
  margin-top: 0;
}

.checkbox-primary input[type="checkbox"]:checked + label::before,
.checkbox-primary input[type="radio"]:checked + label::before {
  background-color: #337ab7;
  border-color: #337ab7;
}
.checkbox-primary input[type="checkbox"]:checked + label::after,
.checkbox-primary input[type="radio"]:checked + label::after {
  color: #fff;
}

.checkbox-danger input[type="checkbox"]:checked + label::before,
.checkbox-danger input[type="radio"]:checked + label::before {
  background-color: #d9534f;
  border-color: #d9534f;
}
.checkbox-danger input[type="checkbox"]:checked + label::after,
.checkbox-danger input[type="radio"]:checked + label::after {
  color: #fff;
}

.checkbox-info input[type="checkbox"]:checked + label::before,
.checkbox-info input[type="radio"]:checked + label::before {
  background-color: #5bc0de;
  border-color: #5bc0de;
}
.checkbox-info input[type="checkbox"]:checked + label::after,
.checkbox-info input[type="radio"]:checked + label::after {
  color: #fff;
}

.checkbox-warning input[type="checkbox"]:checked + label::before,
.checkbox-warning input[type="radio"]:checked + label::before {
  background-color: #f0ad4e;
  border-color: #f0ad4e;
}
.checkbox-warning input[type="checkbox"]:checked + label::after,
.checkbox-warning input[type="radio"]:checked + label::after {
  color: #fff;
}

.checkbox-success input[type="checkbox"]:checked + label::before,
.checkbox-success input[type="radio"]:checked + label::before {
  background-color: #5cb85c;
  border-color: #5cb85c;
}
.checkbox-success input[type="checkbox"]:checked + label::after,
.checkbox-success input[type="radio"]:checked + label::after {
  color: #fff;
}

.checkbox-primary input[type="checkbox"]:indeterminate + label::before,
.checkbox-primary input[type="radio"]:indeterminate + label::before {
  background-color: #337ab7;
  border-color: #337ab7;
}

.checkbox-primary input[type="checkbox"]:indeterminate + label::after,
.checkbox-primary input[type="radio"]:indeterminate + label::after {
  background-color: #fff;
}

.checkbox-danger input[type="checkbox"]:indeterminate + label::before,
.checkbox-danger input[type="radio"]:indeterminate + label::before {
  background-color: #d9534f;
  border-color: #d9534f;
}

.checkbox-danger input[type="checkbox"]:indeterminate + label::after,
.checkbox-danger input[type="radio"]:indeterminate + label::after {
  background-color: #fff;
}

.checkbox-info input[type="checkbox"]:indeterminate + label::before,
.checkbox-info input[type="radio"]:indeterminate + label::before {
  background-color: #5bc0de;
  border-color: #5bc0de;
}

.checkbox-info input[type="checkbox"]:indeterminate + label::after,
.checkbox-info input[type="radio"]:indeterminate + label::after {
  background-color: #fff;
}

.checkbox-warning input[type="checkbox"]:indeterminate + label::before,
.checkbox-warning input[type="radio"]:indeterminate + label::before {
  background-color: #f0ad4e;
  border-color: #f0ad4e;
}

.checkbox-warning input[type="checkbox"]:indeterminate + label::after,
.checkbox-warning input[type="radio"]:indeterminate + label::after {
  background-color: #fff;
}

.checkbox-success input[type="checkbox"]:indeterminate + label::before,
.checkbox-success input[type="radio"]:indeterminate + label::before {
  background-color: #5cb85c;
  border-color: #5cb85c;
}

.checkbox-success input[type="checkbox"]:indeterminate + label::after,
.checkbox-success input[type="radio"]:indeterminate + label::after {
  background-color: #fff;
}

.radio {
  padding-left: 20px;
}
.radio label {
  display: inline-block;
  vertical-align: middle;
  position: relative;
  padding-left: 5px;
}
.radio label::before {
  content: "";
  display: inline-block;
  position: absolute;
  width: 17px;
  height: 17px;
  left: 0;
  margin-left: -20px;
  border: 1px solid #cccccc;
  border-radius: 50%;
  background-color: #fff;
  -webkit-transition: border 0.15s ease-in-out;
  -o-transition: border 0.15s ease-in-out;
  transition: border 0.15s ease-in-out;
}
.radio label::after {
  display: inline-block;
  position: absolute;
  content: " ";
  width: 11px;
  height: 11px;
  left: 3px;
  top: 3px;
  margin-left: -20px;
  border-radius: 50%;
  background-color: #555555;
  -webkit-transform: scale(0, 0);
  -ms-transform: scale(0, 0);
  -o-transform: scale(0, 0);
  transform: scale(0, 0);
  -webkit-transition: -webkit-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
  -moz-transition: -moz-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
  -o-transition: -o-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
  transition: transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
}
.radio input[type="radio"] {
  opacity: 0;
  z-index: 1;
}
.radio input[type="radio"]:focus + label::before {
  outline: thin dotted;
  outline: 5px auto -webkit-focus-ring-color;
  outline-offset: -2px;
}
.radio input[type="radio"]:checked + label::after {
  -webkit-transform: scale(1, 1);
  -ms-transform: scale(1, 1);
  -o-transform: scale(1, 1);
  transform: scale(1, 1);
}
.radio input[type="radio"]:disabled + label {
  opacity: 0.65;
}
.radio input[type="radio"]:disabled + label::before {
  cursor: not-allowed;
}
.radio.radio-inline {
  margin-top: 0;
}

.radio-primary input[type="radio"] + label::after {
  background-color: #337ab7;
}
.radio-primary input[type="radio"]:checked + label::before {
  border-color: #337ab7;
}
.radio-primary input[type="radio"]:checked + label::after {
  background-color: #337ab7;
}

.radio-danger input[type="radio"] + label::after {
  background-color: #d9534f;
}
.radio-danger input[type="radio"]:checked + label::before {
  border-color: #d9534f;
}
.radio-danger input[type="radio"]:checked + label::after {
  background-color: #d9534f;
}

.radio-info input[type="radio"] + label::after {
  background-color: #5bc0de;
}
.radio-info input[type="radio"]:checked + label::before {
  border-color: #5bc0de;
}
.radio-info input[type="radio"]:checked + label::after {
  background-color: #5bc0de;
}

.radio-warning input[type="radio"] + label::after {
  background-color: #f0ad4e;
}
.radio-warning input[type="radio"]:checked + label::before {
  border-color: #f0ad4e;
}
.radio-warning input[type="radio"]:checked + label::after {
  background-color: #f0ad4e;
}

.radio-success input[type="radio"] + label::after {
  background-color: #5cb85c;
}
.radio-success input[type="radio"]:checked + label::before {
  border-color: #5cb85c;
}
.radio-success input[type="radio"]:checked + label::after {
  background-color: #5cb85c;
}

input[type="checkbox"].styled:checked + label:after,
input[type="radio"].styled:checked + label:after {
  font-family: 'FontAwesome';
  content: "\f00c";
}
input[type="checkbox"] .styled:checked + label::before,
input[type="radio"] .styled:checked + label::before {
  color: #fff;
}
input[type="checkbox"] .styled:checked + label::after,
input[type="radio"] .styled:checked + label::after {
  color: #fff;
}

.form-group h5{
  color:#000;
  margin: 20px 0px 5px 0px;
  font-size:16px;
  text-transform: uppercase;
}

.label-black {
    background-color: #000;
    color: #fff;
}

.ng-timepicker-input {  
  padding: 5px;
  float: left;
  border: 1px solid #d4d4d4;
  display: block;
}

.ng-timepicker {
  display: inline-block;  
  border: 1px solid #d4d4d4;
  border-radius: 2px;
  color: #333;
  font-size: 18px;
  padding:  3px 5px;
  background: #fff;
}

.ng-timepicker > table > tbody > tr > td {
  width: 20px;
  text-align: center;
}

.ng-timepicker > table > tbody > tr > td > i {
  font-size: 22px;
  font-weight: bold;
}

.ng-timepicker > table > tbody > tr > td.act {
  border: 1px solid transparent;
  border-radius: 5px;
}

.ng-timepicker > table > tbody > tr > td.act:hover {
  background: #f5f5f5;
}

.ng-timepicker > table > tbody > tr > td > input {
  width: 30px;
  outline: none;
  padding: 5px;
  text-align: center;
}

.noselect {
  -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.ng-timepicker.red > table > tbody > tr > td.act:hover {
  background: #ff5c5b;
  color: #fff;
}

.ng-timepicker.green > table > tbody > tr > td.act:hover {
  background: #8dc63f;
  color: #fff;
}

.ng-timepicker.blue > table > tbody > tr > td.act:hover {
  background: #3399FF;
  color: #fff;
}
